com.jscape.inet.ftp

## Class FxpEndEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.inet.ftp.FxpEndEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FxpEndEvent
      extends java.util.EventObject

  Fired for each file successfully transferred during an FXP transfer.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FxpEndEvent(java.lang.Object src, java.lang.Object destination, java.lang.String filename)` Creates a new FxpEndEvent instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getDestination()` Gets destination Ftp or Ftps instance
    `java.lang.String` | `getFilename()` Gets name of file transferred
    `java.lang.Object` | `getSource()` Gets source Ftp or Ftps instance

    - ### Methods inherited from class java.util.EventObject

      `toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FxpEndEvent

          public FxpEndEvent(java.lang.Object src,
                             java.lang.Object destination,
                             java.lang.String filename)

      Creates a new FxpEndEvent instance
      Parameters:
        `src` - the source Ftp or Ftps instance
        `destination` - the destination Ftp or Ftps instance
        `filename` - the filename transferred

  - ### Method Detail

    - #### getSource

          public java.lang.Object getSource()

      Gets source Ftp or Ftps instance
      Overrides:
        `getSource` in class `java.util.EventObject`
      Returns:
        a Ftp or Ftps instance
      See Also:
        `Ftp`, `Ftps`

    - #### getDestination

          public java.lang.Object getDestination()

      Gets destination Ftp or Ftps instance
      Returns:
        a Ftp or Ftps instance
      See Also:
        `Ftp`, `Ftps`

    - #### getFilename

          public java.lang.String getFilename()

      Gets name of file transferred
      Returns:
        filename

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved